com.corticon.rulesemf.operationsmodel

## Interface OperatorNode

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface OperatorNode
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Operator Node'.

  The following features are supported:

  - `Id`
  - `Operator Node Type`
  - `Name`
  - `Parameters`
  - `Tooltip`
  - `Children`
  - `Parent`
  See Also:
    `OperationsmodelPackage.getOperatorNode()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList` | `getChildren()` Returns the value of the 'Children' containment reference list.
    `java.lang.String` | `getId()` Returns the value of the 'Id' attribute
    `org.eclipse.emf.common.util.EList` | `getName()` Returns the value of the 'Name' attribute list.
    `OperatorNodeType` | `getOperatorNodeType()` Returns the value of the 'Operator Node Type' attribute.
    `org.eclipse.emf.common.util.EList` | `getParameters()` Returns the value of the 'Parameters' attribute list.
    `OperatorNode` | `getParent()` Returns the value of the 'Parent' container reference.
    `org.eclipse.emf.common.util.EList` | `getTooltip()` Returns the value of the 'Tooltip' attribute list.
    `void` | `setId(java.lang.String value)` Sets the value of the '`Id`' attribute
    `void` | `setOperatorNodeType(OperatorNodeType value)` Sets the value of the '`Operator Node Type`' attribute
    `void` | `setParent(OperatorNode value)` Sets the value of the '`Parent`' container reference

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getId

          java.lang.String getId()

      Returns the value of the 'Id' attribute.

      If the meaning of the 'Id' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Id' attribute.
      See Also:
        `setId(String)`, `OperationsmodelPackage.getOperatorNode_Id()`

    - #### setId

          void setId(java.lang.String value)

      Sets the value of the '`Id`' attribute.
      Parameters:
        `value` - the new value of the 'Id' attribute.
      See Also:
        `getId()`

    - #### getOperatorNodeType

          OperatorNodeType getOperatorNodeType()

      Returns the value of the 'Operator Node Type' attribute. The literals are from the enumeration `OperatorNodeType`.

      If the meaning of the 'Operator Node Type' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Operator Node Type' attribute.
      See Also:
        `OperatorNodeType`, `setOperatorNodeType(OperatorNodeType)`, `OperationsmodelPackage.getOperatorNode_OperatorNodeType()`

    - #### setOperatorNodeType

          void setOperatorNodeType(OperatorNodeType value)

      Sets the value of the '`Operator Node Type`' attribute.
      Parameters:
        `value` - the new value of the 'Operator Node Type' attribute.
      See Also:
        `OperatorNodeType`, `getOperatorNodeType()`

    - #### getName

          org.eclipse.emf.common.util.EList getName()

      Returns the value of the 'Name' attribute list. The list contents are of type `String`.

      If the meaning of the 'Name' attribute list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Name' attribute list.
      See Also:
        `OperationsmodelPackage.getOperatorNode_Name()`

    - #### getParameters

          org.eclipse.emf.common.util.EList getParameters()

      Returns the value of the 'Parameters' attribute list. The list contents are of type `String`.

      If the meaning of the 'Parameters' attribute list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Parameters' attribute list.
      See Also:
        `OperationsmodelPackage.getOperatorNode_Parameters()`

    - #### getTooltip

          org.eclipse.emf.common.util.EList getTooltip()

      Returns the value of the 'Tooltip' attribute list. The list contents are of type `String`.

      If the meaning of the 'Tooltip' attribute list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Tooltip' attribute list.
      See Also:
        `OperationsmodelPackage.getOperatorNode_Tooltip()`

    - #### getChildren

          org.eclipse.emf.common.util.EList getChildren()

      Returns the value of the 'Children' containment reference list. The list contents are of type `OperatorNode`. It is bidirectional and its opposite is '`Parent`'.

      If the meaning of the 'Children' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Children' containment reference list.
      See Also:
        `OperationsmodelPackage.getOperatorNode_Children()`, `getParent()`

    - #### getParent

          OperatorNode getParent()

      Returns the value of the 'Parent' container reference. It is bidirectional and its opposite is '`Children`'.

      If the meaning of the 'Parent' container reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Parent' container reference.
      See Also:
        `setParent(OperatorNode)`, `OperationsmodelPackage.getOperatorNode_Parent()`, `getChildren()`

    - #### setParent

          void setParent(OperatorNode value)

      Sets the value of the '`Parent`' container reference.
      Parameters:
        `value` - the new value of the 'Parent' container reference.
      See Also:
        `getParent()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.